Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.editor.controls
Class AbstractFilteredReferenceCommand<T extends org.eclipse.emf.ecore.EStructuralFeature>

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.edit.command.ChangeCommand
              org.eclipse.emf.ecp.view.spi.editor.controls.AbstractFilteredReferenceCommand<T>

Type Parameters:
  `T` - type of the `EStructuralFeature` which can be selected

All Implemented Interfaces:
  org.eclipse.emf.common.command.Command

    public abstract class AbstractFilteredReferenceCommand<T extends org.eclipse.emf.ecore.EStructuralFeature>

extends org.eclipse.emf.edit.command.ChangeCommand

A ReferenceCommand allowing to select an `EStructuralFeature` using a dialog.

Since:
  1.5
Author:
  Eugen Neufeld

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`org.eclipse.emf.common.command.AbstractCommand.NonDirtying`

Constructor Summary
`AbstractFilteredReferenceCommand(org.eclipse.emf.common.notify.Notifier notifier, org.eclipse.emf.edit.provider.ComposedAdapterFactory composedAdapterFactory, org.eclipse.swt.widgets.Shell shell, org.eclipse.emf.ecore.EClass rootClass, ECPSelectionStatusValidator validator, boolean allowMultiReferences)` Constructor for the AbstractFilteredReferenceCommand.

Method Summary

Methods inherited from class org.eclipse.emf.edit.command.ChangeCommand
`dispose, execute, getChangeRecorder, redo, undo`

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, canUndo, chain, getAffectedObjects, getDescription, getLabel, getResult, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractFilteredReferenceCommand

    public AbstractFilteredReferenceCommand(org.eclipse.emf.common.notify.Notifier notifier,
                                            org.eclipse.emf.edit.provider.ComposedAdapterFactory composedAdapterFactory,
                                            org.eclipse.swt.widgets.Shell shell,
                                            org.eclipse.emf.ecore.EClass rootClass,
                                            ECPSelectionStatusValidator validator,
                                            boolean allowMultiReferences)

  Constructor for the AbstractFilteredReferenceCommand.

  Parameters:
    `notifier` - the Notifier for the `ChangeCommand`
    `composedAdapterFactory` - the `ComposedAdapterFactory` for the LabelProvider
    `shell` - the `Shell` to use in the dialog
    `rootClass` - the `EClass` which is the root of the view
    `validator` - the `ECPSelectionStatusValidator` to use when a selection was done
    `allowMultiReferences` - whether multi references are allowed during the selection

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.